Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.adapter
Class GinModuleAdapter

    java.lang.Object
      com.google.gwt.inject.rebind.adapter.GinModuleAdapter

All Implemented Interfaces:
  Module

    public final class GinModuleAdapter

extends java.lang.Object
implements Module

Makes a `GinModule` available as a `Module`.

Constructor Summary
`GinModuleAdapter(GinModule ginModule)`
`GinModuleAdapter(GinModule ginModule, GinjectorBindings bindings)`
`GinModuleAdapter(GinModule ginModule, GinjectorBindings bindings, boolean hideChildModules)`

Method Summary
`void` | `configure(Binder binder)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GinModuleAdapter

    public GinModuleAdapter(GinModule ginModule)

### GinModuleAdapter

    public GinModuleAdapter(GinModule ginModule,
                            GinjectorBindings bindings)

### GinModuleAdapter

    public GinModuleAdapter(GinModule ginModule,
                            GinjectorBindings bindings,
                            boolean hideChildModules)

Method Detail

### configure

    public void configure(Binder binder)

  Specified by:
    `configure` in interface `Module`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD